import request from '@/utils/request'

// 查询月回款目标填报列表
export function listMonthReturnGoal(query) {
  return request({
    url: '/mk/monthReturnGoal/list',
    method: 'get',
    params: query
  })
}

// 查询月回款目标填报详细
export function getMonthReturnGoal(id) {
  return request({
    url: '/mk/monthReturnGoal/' + id,
    method: 'get'
  })
}

// 新增月回款目标填报
export function addMonthReturnGoal(data) {
  return request({
    url: '/mk/monthReturnGoal',
    method: 'post',
    data: data
  })
}

// 修改月回款目标填报
export function updateMonthReturnGoal(data) {
  return request({
    url: '/mk/monthReturnGoal',
    method: 'put',
    data: data
  })
}

// 删除月回款目标填报
export function delMonthReturnGoal(id) {
  return request({
    url: '/mk/monthReturnGoal/' + id,
    method: 'delete'
  })
}

//提交
export function submit(id) {
  return request({
    url: '/mk/monthReturnGoal/submit',
    method: 'post',
    data: id
  })
}